# --
# Kernel/Modules/Test.pm - a simple test module
# Copyright (C) 2001-2003 Martin Edenhofer <martin+code@otrs.org>
# --
# $Id: Test.pm,v 1.7 2003/02/08 15:16:30 martin Exp $
# Modified by Brice Levym 2004/02
# --
# This software comes with ABSOLUTELY NO WARRANTY. For details, see
# the enclosed file COPYING for license information (GPL). If you
# did not receive this file, see http://www.gnu.org/licenses/gpl.txt.
# --

package Kernel::Modules::AgentTicketAddBug;

use strict;

use vars qw($VERSION);
$VERSION = '$Revision: 1.7 $';
$VERSION =~ s/^\$.*:\W(.*)\W.+?$/$1/;

# --
sub new {
    my $Type = shift;
    my %Param = @_;

    # allocate new hash for object
    my $Self = {}; 
    bless ($Self, $Type);

    # get common opjects
    foreach (keys %Param) {
        $Self->{$_} = $Param{$_};
    }

    return $Self;
}
# --
sub Run {
    my $Self = shift;
    my %Param = @_;

    # Set needed parameters
    $Param{'Priority'} = $Self->{Priority}; 
    $Param{'TicketID'} = $Self->{TicketID};

    # get content
    my %Ticket = $Self->{TicketObject}->GetTicket(TicketID => $Self->{TicketID});

    # bugzilla priority is reversed 
    if (%Ticket->{Priority} eq '1 very low') { $Param{'Priority'} = 5;} 
    if (%Ticket->{Priority} eq '2 low') { $Param{'Priority'} = 4;} 
    if (%Ticket->{Priority} eq '3 normal') { $Param{'Priority'} = 3;} 
    if (%Ticket->{Priority} eq '4 high') { $Param{'Priority'} = 2;} 
    if (%Ticket->{Priority} eq '5 very high') { $Param{'Priority'} = 1;} 
    # Pass ticket number 
    if (%Ticket->{TicketNumber}) { $Param{'TicketNumber'} = %Ticket->{TicketNumber};} 

    # get page header
    my $Output = $Self->{LayoutObject}->Header(Area => 'Agent', Title => 'Add ticket to Bugzilla' );

    my %LockedData = $Self->{TicketObject}->GetLockedCount(UserID => $Self->{UserID});
    $Output .= $Self->{LayoutObject}->NavigationBar(LockData => \%LockedData);
    # get page 
    $Output .= $Self->{LayoutObject}->Output(TemplateFile => 'AgentTicketAddBug',
						Data => \%Param,
						);


    # get page footer
    $Output .= $Self->{LayoutObject}->Footer();

    # return test page
    return $Output;
}
# --
 
